### Enumeration

# Gtk PrintOperationResult

since: 4.0

#### Declaration

    enum Gtk.PrintOperationResult

#### Description [src]

The result of a print operation.

A value of this type is returned by `gtk_print_operation_run()`.

Available since: 4.0

#### Members

`GTK_PRINT_OPERATION_RESULT_ERROR`

  An error has occurred.

  - Value: `0`
  - Nickname: `error`
  - Available since: 4.0
`GTK_PRINT_OPERATION_RESULT_APPLY`

  The print settings should be stored.

  - Value: `1`
  - Nickname: `apply`
  - Available since: 4.0
`GTK_PRINT_OPERATION_RESULT_CANCEL`

  The print operation has been canceled, the print settings should not be stored.

  - Value: `2`
  - Nickname: `cancel`
  - Available since: 4.0
`GTK_PRINT_OPERATION_RESULT_IN_PROGRESS`

  The print operation is not complete yet. This value will only be returned when running asynchronously.

  - Value: `3`
  - Nickname: `in-progress`
  - Available since: 4.0